import { trigger, state, style, animate, transition } from '@angular/animations';

export function fade(timeSpan: number = 1000): any {
  return trigger('fade', [
    state('in', style({ opacity: 0 })),
    transition(':enter', [
      style({ opacity: 0 }),
      animate(timeSpan, style({ opacity: 1 }))
    ]),
    transition(':leave', [
      style({ opacity: 1 }),
      animate(timeSpan, style({ opacity: 0 }))
    ])
  ]);
}
